function loadFonts()
	local FONTS={}
	local allfiles=getFileList("fonts")
	local i=0 
--	fdebug("found "..tableLength(allfiles).." files in the fonts folder")
	for i=1,tableLength(allfiles) do
		if matchString(allfiles[i], "%.TTF$") or matchString(allfiles[i], "%.ttf$") then
	--		fdebug(allfiles[i].." is a font")
			FONTS[string.lower(string.sub (allfiles[i], 1 , stringSize(allfiles[i])-4))]=Font.load("fonts/"..allfiles[i])
		end
	end
	FONTS["default"]=Font.createMonoSpaced()
	return FONTS
end